## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global common_description %{expand:
ASGI is a standard for Python asynchronous web apps and servers to communicate
with each other, and positioned as an asynchronous successor to WSGI.  This
package includes ASGI base libraries, such as:

* Sync-to-async and async-to-sync function wrappers, asgiref.sync
* Server base classes, asgiref.server
* A WSGI-to-ASGI adapter, in asgiref.wsgi}

%bcond tests 1

Name:           python-asgiref
Version:        3.7.2
Release:        %autorelease
Summary:        ASGI specs, helper code, and adapters
# main source code is BSD-3-Clause
# bundled async-timeout is Apache-2.0
License:        BSD-3-Clause AND Apache-2.0
URL:            https://github.com/django/asgiref
Source:         %{pypi_source asgiref}
BuildArch:      noarch


%description %{common_description}


%package -n python3-asgiref
Summary:        %{summary}
BuildRequires:  python3-devel
# https://github.com/django/asgiref/commit/9c6df6e02700092eb19adefff3552d44388f69b8
# This code is modified and probably cannot be unvendored.
Provides:       bundled(python3dist(async-timeout)) == 3.0.1


%description -n python3-asgiref %{common_description}


%prep
%autosetup -n asgiref-%{version}

# avoid additional mypy build requirement
sed '/^\s*mypy\s*>=/d' -i setup.cfg



%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x tests}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files asgiref


%check
%if %{with tests}
%pytest --verbose
%else
%pyproject_check_import
%endif


%files -n python3-asgiref -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Oct 13 2023 Carl George <carlwgeorge@fedoraproject.org> - 3.7.2-1
- Update to 3.7.2, resolves rhbz#2209379
- Remove mypy build requirement
- Run tests directly with pytest to avoid tox build requirement
- Run import check when tests are disabled
- Remove duplicate license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 3.6.0-3
- Rebuilt for Python 3.12

* Tue May 09 2023 Carl George <carl@george.computer> - 3.6.0-2
- Change license to SPDX identifier

* Fri May 05 2023 Steve Traylen <steve.traylen@cern.ch> - 3.6.0-1
- Update to release 3.6.0

* Mon Feb 13 2023 Joel Capitao <jcapitao@redhat.com> - 3.5.2-1
- Update to 3.5.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3.4.1-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Miro Hrončok <miro@hroncok.cz> - 3.4.1-4
- Keep tests enabled

* Sat Nov 27 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.4.1-3
- Initial adjustments for the EPEL9

* Sat Nov 27 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.4.1-2
- Adjust %%pyproject_buildrequires to work with %%bcond tests

* Wed Jul 28 2021 Carl George <carl@george.computer> - 3.4.1-1
- Latest upstream 3.4.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.3.4-2
- Rebuilt for Python 3.10

* Wed May 12 2021 Miro Hrončok <miro@hroncok.cz> - 3.3.4-1
- Update to 3.3.4
- use %%pytest
- drop %%python_provide

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 2020 Carl George <carl@george.computer> - 3.2.10-1
- Latest upstream 3.2.10

* Mon May 25 2020 Miro Hrončok <miro@hroncok.cz> - 3.2.7-2
- Rebuilt for Python 3.9

* Thu Apr 09 2020 Peter Robinson <pbrobinson@gmail.com> - 3.2.7-1
- 3.2.7

* Sat Mar 21 2020 Peter Robinson <pbrobinson@gmail.com> - 3.2.5-1
- Update to 3.2.5 (rhbz #1764824)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Sep 17 2019 Miro Hrončok <miro@hroncok.cz> - 3.2.2-1
- Update to 3.2.2 (#1691128)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 2.3.2-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 22 2018 Carl George <carl@george.computer> - 2.3.2-1
- Initial import (rhbz#1640297)
